org.apache.hadoop.fs.http.server

## Class FSOperations.FSSetOwner

- java.lang.Object
- - org.apache.hadoop.fs.http.server.FSOperations.FSSetOwner

- All Implemented Interfaces:
    FileSystemAccess.FileSystemExecutor<Void>
  Enclosing class:
    FSOperations

      @InterfaceAudience.Private
      public static class FSOperations.FSSetOwner
      extends Object
      implements FileSystemAccess.FileSystemExecutor<Void>

  Executor that performs a set-owner FileSystemAccess files system operation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSSetOwner(String path, String owner, String group)` Creates a set-owner executor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.apache.hadoop.fs.FileSystem fs)` Executes the filesystem operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FSSetOwner

          public FSSetOwner(String path,
                            String owner,
                            String group)

      Creates a set-owner executor.
      Parameters:
        `path` - the path to set the owner.
        `owner` - owner to set.
        `group` - group to set.

  - ### Method Detail

    - #### execute

          public Void execute(org.apache.hadoop.fs.FileSystem fs)
                       throws IOException

      Executes the filesystem operation.
      Specified by:
        `execute` in interface `FileSystemAccess.FileSystemExecutor<Void>`
      Parameters:
        `fs` - filesystem instance to use.
      Returns:
        void.
      Throws:
        `IOException` - thrown if an IO error occurred.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.